%global modname premailer

# https://github.com/peterbe/premailer/issues/175
%global commit 2d096e9f668313c8570dddc43bbd47eead476117

Name:           python-%{modname}
Version:        3.0.1
Release:        1%{?dist}
Summary:        Turns CSS blocks into style attributes

License:        BSD
URL:            https://github.com/peterbe/premailer
Source0:        %{url}/archive/%{commit}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-nose
BuildRequires:  python2-mock
BuildRequires:  python-lxml
BuildRequires:  python2-cssselect
BuildRequires:  python2-cssutils
BuildRequires:  python2-requests
Requires:       python-lxml
Requires:       python2-cssselect
Requires:       python2-cssutils
Requires:       python2-requests

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose
BuildRequires:  python3-mock
BuildRequires:  python3-lxml
BuildRequires:  python3-cssselect
BuildRequires:  python3-cssutils
BuildRequires:  python3-requests
Requires:       python3-lxml
Requires:       python3-cssselect
Requires:       python3-cssutils
Requires:       python3-requests

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{commit}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{modname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modname}-*.egg-info/
%{python2_sitelib}/%{modname}/

%files -n python3-%{modname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modname}-*.egg-info/
%{python3_sitelib}/%{modname}/

%changelog
* Sat Aug 27 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 3.0.1-1
- Initial package
